httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brad Nicholes" <BNICHO...@novell.com>
Subject Re: Merging branch authz-dev - Authorization and Access Control 2.3vs. 2.2
Date Thu, 12 Jan 2006 01:05:14 GMT
>>> On 1/11/2006 at 3:43:36 pm, in message <43C58A18.7040709@apache.org>,
rpluem@apache.org wrote:

> 
> On 01/11/2006 11:23 PM, Roy T. Fielding wrote:
>> On Jan 11, 2006, at 7:19 AM, Joshua Slive wrote:
>> 
>>> [Your merge today prompted me to dig out a response I started but
>>> never finished.]
>>>
>>> I am still worried that we are underestimating the pain that this will
>>> cause.  In my opinion, a config change that requires substantial
>>> changes to every httpd.conf and many .htaccess files requires a major
>>> version bump (to 3.0) unless it can, in some way, be made seamless to
>>> the end user.  And there is no way to deny that this will put a large
>>> roadblock in the way of upgraders.
>> 
>> 
>> It isn't just your opinion -- incompatible configuration changes
>> means third-parties have to change their source code, which means a
>> major version bump is required.  So either somebody gets busy on
>> implementing backward-compatibility or this stuff gets bumped to 3.x.
> 
> +1
> 
> Regards
> 
> RĂ¼diger

I'm looking for help.  I obviously don't have all of the answers :)

Brad


Mime
View raw message